Skip to main content
`Ctrl`+`K`

# DMPlexGetGeomModelBodyFaces

Returns an array of `PetscGeom` FACE objects attached to the referenced BODY geometric entity as well as the number of FACEs.

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetGeomModelBodyFaces(DM dm, PetscGeom body, PetscGeom **faces, PetscInt *numFaces) PeNS

Collective

## Input Parameters

- dm - The DMPlex object with an attached PetscContainer storing a CAD Geometry object

- body - PetscGeom BODY object containing the FACE objects of interest.

## Output Parameters

- faces - Array of PetscGeom FACE objects referenced by the PetscGeom BODY object

- numFaces - Number of FACEs referenced by the PetscGeom BODY object. Also the size of **faces array.

## See Also

`DMPlexGetGeomModelBodies()`, `DMPlexGetGeomModelTUV()`, `DMPlexInflateToGeomModelUseTUV()`, `DMPlexInflateToGeomModelUseXYZ()`

## Level

intermediate

## Location

src/dm/impls/plex/plexegads.c

## Examples

src/dm/impls/plex/tutorials/ex18.c
src/dm/impls/plex/tutorials/ex19.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages